openapi: 3.1.0
info:
  title: Common Responses
  description: |
    **Common Responses** provides standard definitions for non-successfully responses.
  version: 1.0.0.0
  contact:
    name: StepChange
    x-name-full: |
      Foundation for Credit Counselling, 123 Albion Street, Leeds, LS2 8ER trading as StepChange Debt Charity and StepChange Debt Charity Scotland. 
      A registered charity no.1016630 and SC046263. It is a limited company registered in England and Wales (company no:2757055). 
      Authorised and regulated by the Financial Conduct Authority (Firm Registration Number 729047)
    x-name-location: 123 Albion Street · Leeds · LS2 8ER · United Kingdom
    x-combined-contact: https://www.stepchange.org/
    url: https://www.stepchange.org/s
    email: contactus@stepchange.org
  license:
    name: Proprietary License
    url: https://www.stepchange.org/
components:
  responses:
    Okay:
      description: OK
    UnauthorizedError:
      description: Authentication information is missing or invalid
      headers:
        WWW_Authenticate:
          schema:
            type: string
    Accepted:
      description: bulk data accepted for server-side processing
    BadRequest:
      description: Bad request
      content:
        application/json:
          schema:
            description: General error message wrapped within HTML webpage
            type: object
    NoContent:
      description: No Content
    NotFound:
      description: Not found
      content:
        application/json:
          schema:
            description: specified identifier value was not found
            type: object
    Conflict:
      description: Conflict
      content:
        application/json:
          schema:
            description: could not be processed because of conflict in the current state of the resource
            type: object
    UnsupportedMediaType:
      description: Unsupported Media Type
      content:
        application/json:
          schema:
            description: specified media type was not found or not supported
            type: object
    TooLarge:
      description: |
        - existing bulk data is still being processed, try again in specified `Retry-After` header value (seconds), or
        - supplied payload is too large
